#
# spec file for package mbm-gps-control
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mbm-gps-control
Version:        0.git.1323774277.1d2fee0
Release:        lp150.2.4
Summary:        Graphical interface to mbm-gpsd
License:        GPL-2.0
Group:          Hardware/Other
Url:            http://sourceforge.net/projects/mbm
Source:         %{name}-%{version}.tar.gz
Patch1:         0001-Remove-call-to-g_type_init.patch
Patch2:         desktop.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gettext
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  libgcrypt-devel
BuildRequires:  libtool
BuildRequires:  lsb-release
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.75
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(nss)
Requires:       mbm-gpsd

%description
The user interface can be used to change settings, turn GPS on/off manually, get basic positioning and enabled assisted GPS mode.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
export CFLAGS="%{optflags}"
./autogen.sh --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --localstatedir=%{_localstatedir} --with-distro="suse" --libexecdir=%{_libexecdir}
make %{?_smp_mflags}

%install
%make_install
mkdir -pv %{buildroot}%{_datadir}/pixmaps
pushd %{buildroot}%{_datadir}/pixmaps
ln -s ../mbm-gps-control/GPS_app.png .
popd
%find_lang mbm_gps_control

%files -f mbm_gps_control.lang
%defattr(-,root,root)
%doc COPYING
%{_bindir}/mbm-gps-control
%{_datadir}/applications/*.desktop
%{_datadir}/mbm-gps-control/
%{_datadir}/pixmaps/GPS_app.png

%changelog
* Sat Feb  4 2017 aloisio@gmx.com
- Added desktop.patch to fix Factory build
- Spec cleanup
* Sun Oct  7 2012 mailaender@opensuse.org
- initial release
